
<!DOCTYPE HTML>
<html xmlns:layout="http://www.w3.org/1999/xhtml" layout:decorate="~{layout/main}">
<head>
    <title>Bull-EzyVolt</title>
    <script src="/js/gauge.js"></script>
    <style type="text/css">
  .myCalss{
    margin-left: -190px;
  }
</style>

</head>
<body>
<div layout:fragment="content">
    <nav class="navbar navbar-expand-lg navbar-transparent  bg-primary  navbar-absolute">

    </nav>
    <div class="panel-header panel-header-sm">
    </div>
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h5 class="title">New User</h5>
                    </div>
                    <div class="card-body">
                        <form>
                            <div class="row">
                                <div class="col-md-12">
                                    <div>
                                        <label id="error_msg" class="bmd-label-floating"></label>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-4 pr-1">
                                    <div class="form-group">
                                        <label><strong>Username/email *</strong></label>
                                        <input type="text" id="username" class="form-control" placeholder="Username" >
                                    </div>
                                </div>

                            </div>
                            <div class="row">
                                <div class="col-md-4 pr-1">
                                    <div class="form-group">
                                        <label><strong>First Name *</strong></label>
                                        <input type="text"  id="firstName" class="form-control" placeholder="First Name">
                                    </div>
                                </div>
                                <div class="col-md-4 pl-1">
                                    <div class="form-group">
                                        <label><strong>Last Name *</strong></label>
                                        <input type="text" id="lastName" class="form-control" placeholder="Last Name">

                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 pr-1">
                                    <div class="form-group">
                                        <label><strong>Department *</strong></label>
                                        <input type="text" id="department" class="form-control" placeholder="Department">
                                    </div>
                                </div>

                                <div class="col-md-4 pr-1">
                                    <div class="form-group">
                                        <label><strong>Gender *</strong></label>
                                        <select id="gender" class="form-control">
                                            <option value="male">Male</option>
                                            <option value="female">Female</option>
                                            <option value="Others">Others</option>
                                        </select>
                                    </div>
                                </div>
                            </div>

                           <div class="row">
                                <div class="col-md-4 pr-1">
                                    <div class="form-group">
                                        <label><strong>password *</strong></label>
                                        <input type="password" id="password" class="form-control"
                                               placeholder="Password">
                                    </div>
                                </div>
                                <div class="col-md-4 pr-1">
                                    <div class="form-group">
                                        <label><strong>confirmPassword *</strong></label>
                                        <input type="password" id="ConfirmPassword" class="form-control" placeholder="Confirm Password">
                                    </div>
                                </div>
                           </div>
                            <div class="row">
                                <div class="col-md-8">
                                    <h4 class="card-title btn" style="float:right; background-color: #fd7e14; color:#fff; margin-left: 50px">
                                        <a onclick="saveUser();" id="saveBtn"
                                         style="color:#fff;text-decoration: none;"> Save
                                        </a></h4>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

        </div>
    </div>
    <script>


      function saveUser(){

            var password = $("#password").val();
                       var confirmPassword = $("#ConfirmPassword").val();
                       if($.trim($('#username').val()) == "") {
                            $('#error_msg').html("User Name should not be empty");
                            return false;
                       }else  if($.trim($('#firstName').val()) == "") {
                            $('#error_msg').html("First Name should not be empty");
                            return false;
                       }else if($.trim($('#lastName').val()) == "") {
                            $('#error_msg').html("Last Name should not be empty");
                            return false;
                       }else if($.trim($('#department').val()) == "") {
                            $('#error_msg').html("Department Name should not be empty");
                            return false;
                       }else  if($.trim($('#password').val()) == "") {
                            $('#error_msg').html("Password should not be empty");
                            return false;
                       }else if (password != confirmPassword) {
                            $('#error_msg').html("Passwords Do Not Match");
                         return false;

                       }

                      $('#error_msg').html('');

                    var userData={
                        userName:$("#username").val(),
                        firstName:$("#firstName").val(),
                        lastName:$("#lastName").val(),
                        department:$("#department").val(),
                        gender:$("#gender option:selected" ).val(),
                        password:$("#password").val(),

                    }


                console.log(userData);
                     $.ajax({
                        contentType: "application/json;charset=UTF-8",
                        url: "/api/v1/user/",
                        dataType: "json",
                        type: "POST",
                        cache: !1,
                        processData: !1,
                        data: JSON.stringify(userData),
                         complete:function(xhr) {
                        if(xhr.status==201){
                            $('div .btn-info').removeAttr("disabled");
                            $("#error_msg").show().html("User has been created successfully").removeClass('label-info').addClass('label-success');
                            window.location.href = "/users";
                          }else if(xhr.status==401){
                                 $('div .btn-info').removeAttr("disabled");
                                 $("#error_msg").show().html("The User was not Created...Please try again. ").removeClass('label-info').addClass('label-danger');
                                }
                        }
                 });
      }





</script>

</div>
</body>